unit unDienstTest;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  unMeinServiceThread;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    fMyThread: TMeinServiceThread;
    procedure ThreadStopped(Sender: TObject);
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Clear;
  Memo1.Lines.Add('Create');
  fMyThread:=TMeinServiceThread.Create(ExtractFilePath(Application.ExeName)+'\'+
                ExtractFileNameOnly(Application.ExeName)+'.Log',@ThreadStopped);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  fMyThread.Terminate;
  Memo1.Lines.Add('Terminate');
end;

procedure TForm1.ThreadStopped(Sender: TObject);
begin
  //fMyThread.Destroy;
  FreeAndNil(fMyThread);
  Memo1.Lines.Add('Terminated');
end;

end.

